#ifndef OULIPO_H
#define OULIPO_H


#include <QString>
#include <QStringList>
#include "debug.h"


class oulipo {

	private:
	QString ChercheArticle (QString mot ) ;
	QString ChercheArticleAdjectif (QString mot ) ;

	QString DetermineType ( QString mot ) ;
	QString DetermineNombre ( QString mot ) ;
	QString DetermineGenre ( QString mot);
	QStringList ChercheParties( QString phoneme, int longueur);
	QString Where(QString mot,int longueur);
	QString requete( QString mot,int longueur, QString type);


	void  ChercheNom ( QString mot, int NbSyl ) ;
	void ChercheVerbe ( QString mot, QString personne, int NbSyl );
	void CherchePrenom(QString mot, int NbSyl);
	void ChercheAdverbe ( QString mot, int NbSyl );
	void ChercheAdjectif(QString mot,int NbSyl) ;
	QString ConjugueVerbe(QString mot, QString personne) ;

	QString ArticleMasculinSingulier(QString mot);
	QString ArticleFemininSingulier(QString mot);
	QString ArticlePluriel(QString mot);
	QString PersonnePronom(QString Pronom);

	QStringList TypeRime;

	QStringList Noms;
	QStringList Prenoms;
	QStringList Verbes;
	QStringList Adjectifs;
	QStringList Adverbes;
	QStringList Pronoms;

	int Random ( int val );
	QString TireHasard ( QStringList);

	public:
	int verbosity;
	oulipo();
	debug D;
	QString  ComposePhrase( QString mot,int NbSyl, QString TypePhrase );
	int NombrePossibilite ();

};
#endif // OULIPO_H
